.company__detail {
    margin: 0 auto;
    padding-bottom: 96px;    
}
.company__detail p {
    text-align: center;
    font-size: 16px;
    line-height: 32px;
}
.company__group h3 {
    font-size: 22px;
    letter-spacing: .08em;
}
.company__group-list {
    display: flex;
    flex-direction: column;
    margin-top: 32px;
}

.company__group-list dl {
    border-top: 1px solid #E3E3E3;
    display: flex;
    padding: 28px 0;
    width: 100%;    
}

.company__group-list dl:last-child {
    border-bottom: 1px solid #E3E3E3;
}

.company__group-list dl dt {
    font-size: 14px;
    font-weight: 600;
    width: 30%;
}

.company__group-list dl dd {
    font-size: 14px;
    line-height: 32px;
    width: 70%;
}

.page-inner__under {
    padding-top: 80px;
    display: flex;
    justify-content: center;
}

.company__items {
    padding: 80px 0 40px 0;
}

.company__items h3 {
    font-size: 22px;
    letter-spacing: .08em;
}

ul.company__items-list {
    display: flex;
    justify-content: center;
    column-gap: 64px;
    padding-top: 56px;
}

.company__items-thumb {
    height: 126px;
    width: 126px;
}

.company__items-thumb img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

ul.company__items-list li {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 32px;
}

ul.company__items-list li p {
    text-align: center;
}

@media screen and (max-width: 680px) {
    .company__group-list dl {
        flex-direction: column;
        row-gap: 1.2vw;
        padding: 4.8vw 0;        
    }
    .company__group-list dl dt,
    .company__group-list dl dd {
        width: 100%;
    }
    .page-inner__under {
        padding-top: 12vw;
    }
    ul.company__items-list {
        flex-direction: column;
        padding-top: 12vw;
        row-gap: 6.8vw;
    }
    .company__items-thumb {
        height: 21vw;
        width: 21vw;
    }
    ul.company__items-list li {
        row-gap: 3.2vw;
    }    
    .company__items {
        padding-bottom: 0;
    }    
}